---
schema_version: "1"
id: d1bd7cba16072f1a34ee75a7b917e1ac9d0330e2998bc92d3bcc62635e57791b
title: Get List Views for an Object (Deprecated)
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_list_views_object.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_list_views_object.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: dabecac274e71ea9a1cc824e2838551a814f31d86a504e9d9794798f3662539d
description: Get a collection of list views associated with an object.
---
# Get List Views for an Object (Deprecated)

Get a collection of list views associated with an object.

![Note](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/images/icon_note.png)

#### Note

This resource is deprecated. To get list views for an object, use [Get List Views for an Object](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_lists_object_get.htm "Get list views associated with an object.").

Resource

/ui-api/list-ui/${objectApiName}

- objectApiName—A [supported](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_get_started_supported_objects.htm#ui_api_get_started_supported_objects "User Interface API supports all custom objects and external objects and many standard objects.") object, such as Account.

Available Version

43.0

HTTP Method

GET

Example

To retrieve all list views associated with accounts, make this request:

GET /services/data/v68.0/ui-api/list-ui/Account

The request returns a list of all list views for the given object.

Request Parameters

| Parameter Name | Type | Description | Required or Optional | Available Version |
| --- | --- | --- | --- | --- |
| pageSize | Integer | The number of list records viewed at one time. The default value is 20. Value can be 1–2000. | Optional | 43.0 |
| pageToken | String | A token that represents the page offset. To indicate where the page starts, use this value with the pageSize parameter. The maximum offset is 2000 and the default is 0. | Optional | 43.0 |
| q | String | Query list views that contain certain key words. | Optional | 43.0 |
| recentListsOnly | Boolean | Show only recently viewed lists. | Optional | 43.0 |

Response Body

[List View Summary Collection](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_list_view_summary_collection.htm#ui_api_responses_list_view_summary_collection "A collection of list views for a given object.")